package com.bsoft.admin.service;

import com.bsoft.admin.model.SysUser;
import com.bsoft.admin.model.reqmodel.UserReq;

import java.util.List;

public interface UserService {
    SysUser findByLoginName(String loginName);
    boolean addUser(Long userId, UserReq.AddReq user);
    boolean deleteUser(UserReq.DeleteReq user);
    boolean updateUser(UserReq.UpdateReq user);
    List<SysUser> getAll(UserReq.GetReq user);
    SysUser info(Long userId);
}
