package com.bsoft.api.model.reqmodel;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

public class ReqDimValue {

    @ApiModelProperty(value = "pageCode",required = true)
    @NotNull(message = "pageCode 参数必传")
    private String pageCode;
    @ApiModelProperty("机构id")
    private Long orgId;
    @ApiModelProperty("时间")
    @NotNull(message = "date 参数必传")
    private String date;

    public String getPageCode() {
        return pageCode;
    }

    public void setPageCode(String pageCode) {
        this.pageCode = pageCode;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    @Override
    public String toString() {
        return "ReqDimValue{" +
                "pageCode='" + pageCode + '\'' +
                ", orgId=" + orgId +
                ", date='" + date + '\'' +
                '}';
    }
}
