package com.bsoft.admin.service;

import com.bsoft.admin.model.SysRole;
import com.bsoft.admin.model.reqmodel.RoleReq;

import java.util.List;

public interface SysRoleService  {
    SysRole findByCode(Long roleCode);
    boolean addRole(Long userId, RoleReq.AddReq role);
    boolean deleteRole(RoleReq.DeleteReq role);
    boolean updateRole(RoleReq.UpdateReq role);
    List<SysRole> getAll(RoleReq.GetReq role);
    SysRole info(long roleId);
}
