package com.bsoft.api.mapper;

import com.bsoft.api.model.SerDiseaseDocRs;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SerDiseaseDocRsMapper {

    int deleteByPrimaryKey(Long id);

    int insert(SerDiseaseDocRs record);

    SerDiseaseDocRs selectByPrimaryKey(Long id);

    List<SerDiseaseDocRs> selectAll();

    List<SerDiseaseDocRs> selectByCode(@Param("docCode") String docCode,@Param("mdcCode") String mdcCode,
                                       @Param("deptCode") String deptCode,@Param("date") String date);

    List<SerDiseaseDocRs> selectByRelation(@Param("docCode") String docCode,@Param("listMdcCode") String[] listMdcCode,
                                       @Param("deptCode") String deptCode,@Param("date") String date);

    int updateByPrimaryKey(SerDiseaseDocRs record);
}
